<template>
  <div class="group">
    <div class="group__head">
      <h2 class="group__name">{{ data.name }}</h2>
      <b-button
        type="button"
        class="group__btn"
        @click="$emit('create:project', data)"
        variant="success"
        >ADD</b-button
      >
    </div>
    <draggable
      v-model="data.projects"
      class="group__items"
      group="projects"
      @end="$emit('change:groups')"
    >
      <app-project
        v-for="(project, index) in data.projects"
        :key="`project-${index}`"
        :data="project"
        :type="data.type"
        class="group__item"
      ></app-project>
    </draggable>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: null,
    },
  }
};
</script>
